Mom.
Testing operator >>() and length(): string is "Mom."; length = 4.
This is your output:
-1
Testing extract(): should get an "ERROR - INVALID POSITION" message.
This is your output:
e
Testing index(): should return 0, leading to a "character not found" message.
This is your output:
-1
Testing split(): head should be null and tail should be "Mom."
This is your output:
-1
Testing cdelete(): should get an "ERROR - INVALID POSITION" message.
This is your output:
-3
e
Testing insert(): should get an "ERROR - INVALID POSITION" message.
This is your output:

Testing concat() with a null string: should get "Mom."
This is your output:
